Page MenuHomePhabricator

Use OOUI datepicker input widget in UploadWizard
Closed, ResolvedPublic

Event Timeline

MarkTraceur assigned this task to matmarex.
MarkTraceur raised the priority of this task from to Normal.
MarkTraceur updated the task description. (Show Details)
MarkTraceur added subscribers: MarkTraceur, Aklapper.
Jdforrester-WMF moved this task from Untriaged to Doing on the Multimedia board.Apr 30 2015, 4:09 PM
Jdforrester-WMF moved this task from Doing to Next up on the Multimedia board.
Jdforrester-WMF moved this task from Backlog to Next-up on the OOUI board.May 30 2015, 7:40 PM
matmarex lowered the priority of this task from Normal to Low.Jul 20 2015, 7:24 PM
Restricted Application added subscribers: Steinsplitter, Matanya. · View Herald TranscriptJul 20 2015, 7:24 PM
Jdforrester-WMF raised the priority of this task from Low to High.Jul 27 2015, 7:13 PM
Jdforrester-WMF set Security to None.

This seems to actually be impossible, as the date field in UploadWizard is actually a freeform text input field, with a loosely attached calendar. UploadWizard itself treats it as date+time field, and according to https://commons.wikimedia.org/wiki/Template:Information it can really contain just about anything.

Change 228296 had a related patch set uploaded (by Bartosz Dziewoński):
[WIP] Use mw.widgets.DateInputWidget

https://gerrit.wikimedia.org/r/228296

Change 228296 merged by jenkins-bot:
Use mw.widgets.DateInputWidget instead of jQuery UI datepicker

https://gerrit.wikimedia.org/r/228296

matmarex closed this task as Resolved.Aug 4 2015, 9:31 PM
matmarex removed a project: Patch-For-Review.
Jdforrester-WMF moved this task from Next-up to Reviewing on the OOUI board.Aug 7 2015, 6:25 PM
Jdforrester-WMF moved this task from Next up to Done on the Multimedia board.Sep 22 2015, 7:20 AM